• 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Ok after some testing with Java 5.0 it seems that my IDE, Netbeans, had automatically used a 6.0 feature.

    I have now remade the part using a library to add the functionality that was being used. So the new 1.6 download of JWowUpdater should fix the error you mac people have been getting, (And other 5.0 java users).

    /Rolf
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from kilabie »

    Yep, it's the same error i get, when using - JWowUpdater-1.5-(Java 5.0 compiled).zip:

    Tigermac:~/Desktop/JWowUpdater ttt$ java -jar JWowUpdater.jar
    Exception loading config: java.io.FileNotFoundException: JWowUpdater.conf (No such file or directory)
    Exception in thread "main" java.lang.NoClassDefFoundError: javax/swing/GroupLayout$Group
    at jwowupdater.Main.<init>(Main.java:22)
    at jwowupdater.Main.main(Main.java:34)


    Would it be possible for you to try and get the latest 6.0 java and see if that fixes the problem?

    Maybee ive used a 6.0 feature without knowing it.

    *UPDATE*
    Ok i see that a 6.0 version might not be avaliable for Mac's yet, so im going to download the SDK 5.0 version and check it myself with that one.


    /Rolf
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from pipoca »

    Quote from rolfba »

    Quote from kilabie »

    This looks cool.

    But im getting an error when i try to run it :(

    Do you know what's wrong?

    Tigermac:~/Desktop tttt$ java JWowUpdater.jar
    Exception in thread "main" java.lang.NoClassDefFoundError: JWowUpdater/jar

    MACOS X 10.4.9 - Intel
    java version "1.5.0_07"


    I think you need to run jar files with:

    java -jar JWowUpdater.jar

    /Rolf



    I was having the same issue on a mac with the same specs and tried the command you mentioned.
    here's a screengrab of the error i get:



    I think i know what the problem is. The compiled Jar file is compiled with java 6.0, but only uses 5.0 instructions, so it might fail to run on 5.0 java although it shouldnt. So ill make a new version compiled with 5.0 and put that up.

    *UPDATE*
    Ok the new archive is up on the google code page. Its called 5.0 Compile. Could you test that and tell me how it works?

    /Rolf
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from Nyrine »

    Any way to make it get the no-ext versions ?


    Ill look into this, but as i havent used this myself it isnt currently supported. But definately an option to add this.

    *UPDATE*
    The latest version 1.5 should be able to download all no-ext versions if you togle the checkbox from the new config page.

    /Rolf
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Quote from kilabie »

    This looks cool.

    But im getting an error when i try to run it :(

    Do you know what's wrong?

    Tigermac:~/Desktop tttt$ java JWowUpdater.jar
    Exception in thread "main" java.lang.NoClassDefFoundError: JWowUpdater/jar

    MACOS X 10.4.9 - Intel
    java version "1.5.0_07"


    I think you need to run jar files with:

    java -jar JWowUpdater.jar

    /Rolf
    Posted in: Updaters
  • 0

    posted a message on JWowUpdater - A new java addons updater for ace2
    Hello everyone,

    I present to you JWowUpdater v2.2

    Small home for JWU, with donation button :)

    Features atm include:

    - 1-Click Updating of addons.
    - Easy installation of new addons.
    - Removal of unwanted addons.
    - Ability to use Proxy for downloading.
    - Can delete folders before installing new addon. (To keep dirs clean)
    - Autoupdates itself!
    - Handles addons from other multiple sites!
    - Can clean your saved variables in your WTF folder
    - Can backup your addon folder before updating

    Changelog:
    2.2:
    - wowace.com and curseforge.com support added again, but a useraccount on the sites will be needed to update from those.
    - Fixed an error with deletion before update, should work ok now.
    - Connections do now respect the timeout set in config

    2.1:
    - Update for Wowace.com and curseforge.com temporarily disabled. (They require users to be logged in to download)
    - Delete before update should be fixed
    - Only list addons that are being updated, no more listing of "X from Y ... latest version"
    - Added reinstall addons functionality
    - Fixed some spelling mistakes

    2.0:
    - Updated to updater core from JWU2 project! Yeah!
    - Supported addonsites are described in jwusites.xml
    - Backup before updating option added. (Will zip your entire addons folder and save it)
    - Updated to new LookAndFeel from Java 6

    Main view of the program:



    Hope you find it usefull.

    And feel very free to post issues in the google code project site.

    /Rolf
    Posted in: Updaters
  • To post a comment, please or register a new account.